/*
 * This file is part of HeLL IDE, IDE for the low-level Malbolge
 * assembly language HeLL.
 * Copyright (C) 2013 Matthias Ernst
 *
 * HeLL IDE is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeLL IDE is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#include "replace.h"
#include "ui_replace.h"

Replace::Replace(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::Replace)
{
    ui->setupUi(this);
}

Replace::~Replace()
{
    delete ui;
}

void Replace::on_pushButton_clicked()
{
    emit find(ui->text->text(), ui->caseSensitive->isChecked(), ui->backwards->isChecked());

}


void Replace::showEvent(QShowEvent* event) {
    this->ui->text->setFocus();
    QDialog::showEvent(event);
}


void Replace::on_pushButton_2_clicked()
{
    emit replace(ui->text->text(), ui->replaceText->text(), ui->caseSensitive->isChecked(), ui->backwards->isChecked(), false);
}

void Replace::on_pushButton_3_clicked()
{
    emit replace(ui->text->text(), ui->replaceText->text(), ui->caseSensitive->isChecked(), ui->backwards->isChecked(), true);
}
